[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# ReadComponentFromTextStream

## Declaration

Source position: lresources.pp line 499

`procedure ReadComponentFromTextStream(`
`AStream: TStream;`
`var RootComponent: TComponent;`
`OnFindComponentClass: TFindComponentClassEvent;`
`TheOwner: TComponent = Nil;`
`Parent: TComponent = Nil`
`);`